@font-face {
  font-family: "console";
  src: url("./Fonts/console.ttf") format("truetype");
  font-weight: normal;
  font-style: normal;
  font-display: swap;
}

/*  INDEX  */
body {
  background-color: #0A0A0A;
  color: #0a0;
  font-family: "console";
  margin:0px;
}

#overlay {
  padding: 0px;
  width: 100vw;
  height: 100vh;
  filter: blur(3px);
}

#popup {
  height: 60px;
  width: 350px;
  position: absolute;
  top: calc(50% - 30px);
  right: calc(50% - 175px);
  outline: 1px solid lime;
  border-radius: 10px;
  box-shadow: 0 0 20px lime;
  opacity: 1;
  background: #0a0;
  color: #0A0A0A;
}

#popup h1 {
  text-align: center;
  font-size: 25px;
  margin: 0px;
  margin-top: 17px;
}

a #popup,
a:visited #popup {
    color: #0A0A0A;
}

/*  HOME  */
.header {
  width: 100%;
}

.header > .row {
    min-height: 38px;
    border-bottom: 2px solid #0a0;
    display: flex;
    font-size: 20px;
}

.header > .row > span 
{
  flex: 1;
  display: flex;
  justify-content: center;
  align-items: center;
}

.header a,
.header a:visited {
  color: #0a0;
}

.body.has-footer{
  height: calc(100vh - 77px);  
}

.body{
  height: calc(100vh - 40px);  
}

.footer {
  position: relative;
  overflow: hidden;
  min-height: 37px;
  font-size: 32px;
  background: #0a0;
  color: #0A0A0A;
}

.footer > span {
  position: absolute;
  min-width: fit-content;
  width: 100%;
  height: 100%;
  transform: translateX(100%);
  
  display: flex;
  margin: 0;
  flex-direction: row;
  justify-content: space-around;
  align-content: center;
  text-wrap: nowrap;
  
  animation: 16s linear infinite scroller;
}

.footer > span.footer-text-2 {
  animation-delay: 8s;
}

@keyframes scroller {
  0%    { transform: translateX(100%); }
  100%  { transform: translateX(-100%); }
}